<!DOCTYPE HTML PUBLIC "-//w3c//dtd html 4.0 transitional//en">
<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="Generator" content="Timing Report Generator:  version P.20131013">
<meta name="Author" content="Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.">
<meta name="Description" content="Timing report for module2">
<TITLE>Timing report for module2</TITLE>
<script language="Javascript"> 
<!-- 
   function popWin(url,w,h,name){ 
   window.open(url,name,'scrollbars=yes,resizable=Yes,WIDTH='+w+',height='+h); 
   } 
//--> 
</script>
</HEAD>
<A NAME="Top"></a>
<A NAME="TimingReport"></a><h1 ALIGN="center" CLASS="cpldta_text_report_header">Timing Report</h1>
<CENTER><SPAN CLASS="cpldta_text_normal_bold"><A HREF="cpldta_glossary.htm"><B>Need help reading this report?</B></A></SPAN></CENTER><BR>
<TABLE  WIDTH="60%" border="1" ALIGN="center">
 <TR>
  <TD WIDTH="35%" CLASS="cpldta_text_normal_bold"><B>Design Name</B></TD>
  <TD WIDTH="65%" CLASS="cpldta_text_normal">module2</TD>
 </TR>
 <TR>
  <TD WIDTH="35%" CLASS="cpldta_text_normal_bold"><B>Device, Speed (SpeedFile Version)</B></TD>
  <TD WIDTH="65%" CLASS="cpldta_text_normal"><A HREF="Javascript:popWin('http://www.xilinx.com/literature/index.htm','800','800','test');">XC9536XL</A>, -5 (3.0)</TD>
 </TR>
 <TR>
  <TD WIDTH="35%" CLASS="cpldta_text_normal_bold"><B>Date Created</B></TD>  <TD WIDTH="65%" CLASS="cpldta_text_normal">Mon Dec  9 17:53:10 2019
</TD>
 </TR>
 <TR>
  <TD WIDTH="35%" CLASS="cpldta_text_normal_bold"><B>Created By</B></TD>  <TD WIDTH="65%" CLASS="cpldta_text_normal">Timing Report Generator:  version P.20131013</TD>
 </TR>
 <TR>
  <TD WIDTH="35%" CLASS="cpldta_text_normal_bold"><B>Copyright</B></TD>  <TD WIDTH="65%" CLASS="cpldta_text_normal">Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.</TD>
 </TR>
</TABLE>
<A NAME="Summary"></a><h2 ALIGN="center" CLASS="cpldta_text_section_header">Summary</h2>
<TABLE  WIDTH="80%" border="1" ALIGN="center">
 <TR CLASS="cpldta_warnings_header">
  <TH BGCOLOR="#FFFFCC" WIDTH="100%">Notes and Warnings</TH>
 </TR>
 <TR>
  <TD WIDTH="100%" CLASS="cpldta_text_normal">Note: This design contains no timing constraints.</TD>
 </TR>
 <TR>
  <TD WIDTH="100%" CLASS="cpldta_text_normal">Note: A default set of constraints using a delay of 0.000ns will be used for analysis.</TD>
 </TR>
</TABLE><BR>
<TABLE WIDTH="80%" border="1" ALIGN="center">
 <TR CLASS="cpldta_warnings_header">
  <TH BGCOLOR="#FFFFCC" WIDTH="100%" colspan="2">Performance Summary</TH>
 </TR>
 <TR>
  <TD WIDTH="65%" CLASS="cpldta_text_normal_bold"><B>Min. Clock Period</B></TD>
  <TD WIDTH="35%" CLASS="cpldta_text_normal">5.600 ns.</TD>
 </TR>
 <TR>
  <TD WIDTH="65%" CLASS="cpldta_text_normal_bold"><B>Max. Clock Frequency </B><A HREF="cpldta_glossary.htm#fSYSTEM">(fSYSTEM)</A></TD>
  <TD WIDTH="35%" CLASS="cpldta_text_normal">178.571 MHz. </TD>
 </TR>
 <TR>
  <TD WIDTH="100%" colspan="2" CLASS="cpldta_text_normal">Limited by Clock Pulse Width for CLK</TD>
 </TR>
 <TR>
  <TD WIDTH="65%" CLASS="cpldta_text_normal_bold"><B>Clock to Setup </B><A HREF="cpldta_glossary.htm#tCYC">(tCYC)</A></TD>
  <TD WIDTH="35%" CLASS="cpldta_text_normal">5.600 ns. </TD>
 </TR>
 <TR>
  <TD WIDTH="65%" CLASS="cpldta_text_normal_bold"><B>Setup to Clock at the Pad </B><A HREF="cpldta_glossary.htm#tSU">(tSU)</A></TD>
  <TD WIDTH="35%" CLASS="cpldta_text_normal">3.700 ns. </TD>
 </TR>
 <TR>
  <TD WIDTH="65%" CLASS="cpldta_text_normal_bold"><B>Clock Pad to Output Pad Delay </B><A HREF="cpldta_glossary.htm#tCO">(tCO)</A></TD>
  <TD WIDTH="35%" CLASS="cpldta_text_normal">6.900 ns. </TD>
 </TR>
</TABLE>
<HR>
<A NAME="TimingConstraints"></a><h2 ALIGN="center" CLASS="cpldta_text_section_header">Timing Constraints</h2>
<TABLE  WIDTH="80%" border="1" ALIGN="center">
 <TR>
  <TH BGCOLOR="#FFFFCC" CLASS="cpldta_constraint_header">Constraint Name</TH>
  <TH BGCOLOR="#FFFFCC" WIDTH="15%" CLASS="cpldta_time_header">Requirement (ns)</TH>
  <TH BGCOLOR="#FFFFCC" WIDTH="15%" CLASS="cpldta_time_header">Delay (ns)</TH>
  <TH BGCOLOR="#FFFFCC" WIDTH="15%" CLASS="cpldta_time_header">Paths</TH>
  <TH BGCOLOR="#FFFFCC" WIDTH="15%" CLASS="cpldta_time_header">Paths Failing</TH>
 </TR>
 <TR>
  <TD ALIGN="left" CLASS="cpldta_constraint_name"><A HREF="#TS1000">TS1000</A></TD>
  <TD ALIGN="center" CLASS="cpldta_time_value">0.0</TD>
  <TD ALIGN="center" CLASS="cpldta_time_value">0.0</TD>
  <TD ALIGN="center" CLASS="cpldta_time_value">0</TD>
  <TD ALIGN="center" CLASS="cpldta_time_value">0</TD>
 </TR>
 <TR>
  <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error"><A HREF="#AUTO_TS_F2F">AUTO_TS_F2F</A></TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">0.0</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">5.6</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">9</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">9</TD>
 </TR>
 <TR>
  <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error"><A HREF="#AUTO_TS_P2P">AUTO_TS_P2P</A></TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">0.0</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">6.9</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">1</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">1</TD>
 </TR>
 <TR>
  <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error"><A HREF="#AUTO_TS_P2F">AUTO_TS_P2F</A></TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">0.0</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">4.8</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">4</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">4</TD>
 </TR>
 <TR>
  <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error"><A HREF="#AUTO_TS_F2P">AUTO_TS_F2P</A></TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">0.0</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">5.8</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">3</TD>
  <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error">3</TD>
 </TR>
</TABLE>
</BR>
</BR>
<A NAME="TS1000">
<h3 CLASS="cpldta_text_subsection_header">Constraint: TS1000</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <CAPTION CLASS="cpldta_text_caption"><B>Description: PERIOD:PERIOD_CLK:0.000 nS</B></CAPTION>
  <TR CLASS="cpldta_delaytable_header">
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Path</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Requirement (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Delay (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Slack (ns)</TH>
  </TR>
 </TABLE>
 </BR>
 </BR>
<A NAME="AUTO_TS_F2F">
<h3 CLASS="cpldta_text_subsection_header">Constraint: AUTO_TS_F2F</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <CAPTION CLASS="cpldta_text_caption"><B>Description: MAXDELAY:FROM:FFS(*):TO:FFS(*):0.000 nS</B></CAPTION>
  <TR CLASS="cpldta_delaytable_header">
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Path</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Requirement (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Delay (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Slack (ns)</TH>
  </TR>
  <TR>
   <A NAME="_Q_0__Q_to_Q_0__D"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_F2F_Q_0__Q_to_Q_0__D();">Q<0>.Q to Q<0>.D</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">5.600</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-5.600</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_F2F_Q_0__Q_to_Q_0__D() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("Q<0>.Q to Q<0>.D")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tCOI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<0></TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tF + tLOGI + tSUI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">5.200</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<0>.D</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
  <TR>
   <A NAME="_Q_0__Q_to_Q_1__D"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_F2F_Q_0__Q_to_Q_1__D();">Q<0>.Q to Q<1>.D</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">5.600</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-5.600</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_F2F_Q_0__Q_to_Q_1__D() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("Q<0>.Q to Q<1>.D")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tCOI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<0></TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tF + tLOGI + tSUI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">5.200</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<1>.D</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
  <TR>
   <A NAME="_Q_0__Q_to_Q_2__D"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_F2F_Q_0__Q_to_Q_2__D();">Q<0>.Q to Q<2>.D</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">5.600</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-5.600</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_F2F_Q_0__Q_to_Q_2__D() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("Q<0>.Q to Q<2>.D")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tCOI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<0></TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tF + tLOGI + tSUI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">5.200</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<2>.D</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
 </TABLE>
 </BR>
 </BR>
<A NAME="AUTO_TS_P2P">
<h3 CLASS="cpldta_text_subsection_header">Constraint: AUTO_TS_P2P</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <CAPTION CLASS="cpldta_text_caption"><B>Description: MAXDELAY:FROM:PADS(*):TO:PADS(*):0.000 nS</B></CAPTION>
  <TR CLASS="cpldta_delaytable_header">
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Path</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Requirement (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Delay (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Slack (ns)</TH>
  </TR>
  <TR>
   <A NAME="_CLK_to_Y"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_P2P_CLK_to_Y();">CLK to Y</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">6.900</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-6.900</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_P2P_CLK_to_Y() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("CLK to Y")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">-</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.000</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">CLK</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tGCK</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">1.100</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">FCLKIO_0</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tCOI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<1></TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tF + tLOGI + tPDI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">3.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Y</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tOUT</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">2.000</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Y</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
 </TABLE>
 </BR>
 </BR>
<A NAME="AUTO_TS_P2F">
<h3 CLASS="cpldta_text_subsection_header">Constraint: AUTO_TS_P2F</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <CAPTION CLASS="cpldta_text_caption"><B>Description: MAXDELAY:FROM:PADS(*):TO:FFS(*):0.000 nS</B></CAPTION>
  <TR CLASS="cpldta_delaytable_header">
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Path</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Requirement (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Delay (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Slack (ns)</TH>
  </TR>
  <TR>
   <A NAME="_X_to_Q_0__D"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_P2F_X_to_Q_0__D();">X to Q<0>.D</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">4.800</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-4.800</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_P2F_X_to_Q_0__D() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("X to Q<0>.D")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">-</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.000</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">X</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tIN</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">1.500</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">X_IBUF</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tLOGI + tSUI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">3.300</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<0>.D</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
  <TR>
   <A NAME="_X_to_Q_1__D"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_P2F_X_to_Q_1__D();">X to Q<1>.D</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">4.800</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-4.800</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_P2F_X_to_Q_1__D() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("X to Q<1>.D")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">-</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.000</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">X</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tIN</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">1.500</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">X_IBUF</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tLOGI + tSUI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">3.300</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<1>.D</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
  <TR>
   <A NAME="_X_to_Q_2__D"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_P2F_X_to_Q_2__D();">X to Q<2>.D</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">4.800</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-4.800</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_P2F_X_to_Q_2__D() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("X to Q<2>.D")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">-</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.000</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">X</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tIN</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">1.500</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">X_IBUF</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tLOGI + tSUI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">3.300</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<2>.D</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
  <TR>
   <A NAME="_CLK_to_FCLKIO_0"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_P2F_CLK_to_FCLKIO_0();">CLK to FCLKIO_0</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">1.100</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-1.100</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_P2F_CLK_to_FCLKIO_0() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("CLK to FCLKIO_0")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">-</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.000</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">CLK</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tGCK</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">1.100</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">FCLKIO_0</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
 </TABLE>
 </BR>
 </BR>
<A NAME="AUTO_TS_F2P">
<h3 CLASS="cpldta_text_subsection_header">Constraint: AUTO_TS_F2P</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <CAPTION CLASS="cpldta_text_caption"><B>Description: MAXDELAY:FROM:FFS(*):TO:PADS(*):0.000 nS</B></CAPTION>
  <TR CLASS="cpldta_delaytable_header">
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Path</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Requirement (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Delay (ns)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Slack (ns)</TH>
  </TR>
  <TR>
   <A NAME="_Q_0__Q_to_Y"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_F2P_Q_0__Q_to_Y();">Q<0>.Q to Y</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">5.800</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-5.800</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_F2P_Q_0__Q_to_Y() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("Q<0>.Q to Y")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tCOI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<0></TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tF + tLOGI + tPDI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">3.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Y</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tOUT</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">2.000</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Y</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
  <TR>
   <A NAME="_Q_1__Q_to_Y"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_F2P_Q_1__Q_to_Y();">Q<1>.Q to Y</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">5.800</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-5.800</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_F2P_Q_1__Q_to_Y() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("Q<1>.Q to Y")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tCOI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<1></TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tF + tLOGI + tPDI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">3.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Y</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tOUT</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">2.000</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Y</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
  <TR>
   <A NAME="_Q_2__Q_to_Y"></A>
   <TD BGCOLOR="#FFCCCC" ALIGN="left" CLASS="cpldta_constraint_name_error" WIDTH="40%"><A HREF="javascript:AUTO_TS_F2P_Q_2__Q_to_Y();">Q<2>.Q to Y</A></TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">0.000</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">5.800</TD>
   <TD BGCOLOR="#FFCCCC" ALIGN="center" CLASS="cpldta_time_value_error" WIDTH="10%">-5.800</TD>
  </TR>
<SCRIPT language="JavaScript">
<!--
function AUTO_TS_F2P_Q_2__Q_to_Y() {
   aWindow=window.open("","thewindow","toolbar=no,WIDTH=350,height=300,status=no,scrollbars=yes,resizable=yes,menubar=no")
   aWindow.document.writeln("<link type=\"text/css\" rel=\"stylesheet\" href=\"cpldta_style.css\">")
   aWindow.document.writeln("<H3 CLASS=\"cpldta_text_subsection_header\">Path Trace: ")
   aWindow.document.writeln("Q<2>.Q to Y")
   aWindow.document.writeln("</H3>")
   aWindow.document.writeln("<TABLE  WIDTH=\"90%\" border=\"1\" ALIGN=\"center\">")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Delay Type</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"20%\" CLASS=\"cpldta_time_header\">Delay (ns)</TH>")
   aWindow.document.writeln("<TH BGCOLOR=\"#FFFFCC\" WIDTH=\"40%\" CLASS=\"cpldta_constraint_header\">Logical Resource</TH>")
   aWindow.document.writeln("</TR>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tCOI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">0.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Q<2></TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tF + tLOGI + tPDI</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">3.400</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Y</TD>")
   aWindow.document.writeln("<TR>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">tOUT</TD>")
   aWindow.document.writeln("<TD WIDTH=\"20%\" CLASS=\"cpldta_datasheet_time_value\">2.000</TD>")
   aWindow.document.writeln("<TD WIDTH=\"40%\" CLASS=\"cpldta_datasheet_pathname\">Y</TD>")
   aWindow.document.writeln("</TABLE>")
   aWindow.document.close()
}
//-->
</SCRIPT>
 </TABLE>
 </BR>
 </BR>
  <BR><B>Number of constraints not met:</B>&nbsp;4<BR>
<HR>
<A NAME="DataSheet"></a>
<h2 ALIGN="center" CLASS="cpldta_text_section_header">Data Sheet Report</h2>
 <A NAME="ClockSpeedList"></a>
 <h3 CLASS="cpldta_text_subsection_header">Maximum External Clock Speeds</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <TR>
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Clock</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">fEXT (MHz)</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Reason</TH>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">CLK</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">178.571</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Limited by Clock Pulse Width for CLK</TD>
  </TR>
 </TABLE>
 <BR>
 <A NAME="SetupHoldTimesForClocks"></a>
 <h3 CLASS="cpldta_text_subsection_header">Setup/Hold Times for Clocks</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <CAPTION CLASS="cpldta_text_caption"><B>Setup/Hold Times for Clock CLK</B></CAPTION>
  <TR>
   <TH BGCOLOR="#FFFFCC" WIDTH="60%" CLASS="cpldta_constraint_header">Source Pad</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Setup to clk (edge) </TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Hold to clk (edge) </TH>
  </TR>
  <TR>
   <TD WIDTH="60%" CLASS="cpldta_datasheet_pathname">X</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">3.700</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">0.000</TD>
  </TR>
 </TABLE><BR>
 <BR>
 <A NAME="ClockToPadTiming"></a>
 <h3 CLASS="cpldta_text_subsection_header">Clock to Pad Timing</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <CAPTION CLASS="cpldta_text_caption"><B>Clock CLK to Pad</B></CAPTION>
  <TR>
   <TH BGCOLOR="#FFFFCC" WIDTH="80%" CLASS="cpldta_constraint_header">Destination Pad</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Clock (edge) to Pad </TH>
  </TR>
  <TR>
   <TD WIDTH="80%" CLASS="cpldta_datasheet_pathname">Y</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">6.900</TD>
  </TR>
 </TABLE><BR>
 <BR>
 <A NAME="ClockToSetupTimesForClocks"></a>
 <h3 CLASS="cpldta_text_subsection_header">Clock to Setup Times for Clocks</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <CAPTION CLASS="cpldta_text_caption"><B>Clock to Setup for clock CLK</B></CAPTION>
  <TR>
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Source</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Destination</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Delay</TH>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<0>.Q</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<0>.D</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">5.600</TD>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<0>.Q</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<1>.D</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">5.600</TD>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<0>.Q</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<2>.D</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">5.600</TD>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<1>.Q</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<0>.D</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">5.600</TD>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<1>.Q</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<1>.D</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">5.600</TD>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<1>.Q</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<2>.D</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">5.600</TD>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<2>.Q</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<0>.D</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">5.600</TD>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<2>.Q</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<1>.D</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">5.600</TD>
  </TR>
  <TR>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<2>.Q</TD>
   <TD WIDTH="40%" CLASS="cpldta_datasheet_pathname">Q<2>.D</TD>
   <TD WIDTH="20%" CLASS="cpldta_datasheet_time_value">5.600</TD>
  </TR>
 </TABLE><BR>
 <BR>
 <A NAME="Pad2PadList"></a>
 <h3 CLASS="cpldta_text_subsection_header">Pad to Pad List</h3>
 <TABLE  WIDTH="80%" border="1" ALIGN="center">
  <TR>
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Source Pad</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="40%" CLASS="cpldta_constraint_header">Destination Pad</TH>
   <TH BGCOLOR="#FFFFCC" WIDTH="20%" CLASS="cpldta_time_header">Delay</TH>
  </TR>
 </TABLE>
 <BR>
<HR>
<BR><SPAN CLASS="cpldta_text_normal_bold"><B>Number of paths analyzed:</B></SPAN> 
<SPAN CLASS="cpldta_text_normal">17</SPAN>
<BR><SPAN CLASS="cpldta_text_normal_bold"><B>Number of Timing errors:</B></SPAN> 
<SPAN CLASS="cpldta_text_normal">17</SPAN>
<BR><SPAN CLASS="cpldta_text_normal_bold"><B>Analysis Completed:</B></SPAN> <SPAN CLASS="cpldta_text_normal">Mon Dec  9 17:53:10 2019
</SPAN>
<HR>
</HTML>
